@ECHO OFF
rem ############################################################
rem #
rem # FDA Medication Guides Automatic Printing 
rem # Department of Veterans Affairs
rem # FDA MED GUIDES, INCREMENT 3 
rem # Installation checker
rem # FDA Med Guides Printer Tool version 1.0.0.8
rem #
rem ############################################################
TITLE INSTALLATION CHECK: FDA Medication Guides Printer Tool
Echo Verifying file install and configuration...
ECHO =======================
ECHO Any missing files will be listed within this block
IF NOT EXIST C:\FDAMedGuidesPrinter\fda_med_guides.properties ECHO ERROR: Missing Properties file: fda_med_guides.properties
IF NOT EXIST C:\FDAMedGuidesPrinter\fda_med_guides_logging.properties ECHO ERROR: Missing logging properties file: fda_med_guides_logging.properties
IF NOT EXIST C:\FDAMedGuidesPrinter\fda_med_guides_automatic_printing_1.0.0.8.jar ECHO ERROR: Missing file: fda_med_guides_automatic_printing_1.0.0.8.jar
IF NOT EXIST C:\FDAMedGuidesPrinter\START_fda_med_guides_automatic_printing.bat ECHO ERROR: Missing main program file: START_fda_med_guides_automatic_printing.bat
IF NOT EXIST C:\FDAMedGuidesPrinter\installation\FDAMedGuidePrinterTask.xml ECHO ERROR: Missing Task Configuration file: FDAMedGuidePrinterTask.xml
IF NOT EXIST C:\FDAMedGuidesPrinter\installation\NetworkServiceTaskSettings.reg ECHO ERROR: Missing Adobe Reader Registry configuration file: NetworkServiceTaskSettings.reg 
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\commons-io-2.0.1.jar ECHO ERROR: Missing file: commons-io-2.0.1.jar
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\commons-lang-2.6.jar ECHO ERROR: Missing file: commons-lang-2.6.jar
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\commons-logging-1.1.1.jar ECHO ERROR: Missing file: commons-logging-1.1.1.jar
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\fontbox-1.5.0.jar ECHO ERROR: Missing file: fontbox-1.5.0.jar  
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\jempbox-1.5.0.jar ECHO ERROR: Missing file: jempbox-1.5.0.jar
IF NOT EXIST C:\FDAMedGuidesPrinter\lib\pdfbox-1.5.0.jar ECHO ERROR: Missing file: pdfbox-1.5.0.jar
ECHO =======================
echo Check Adobe Reader v10.0 Registry values
reg query "HKEY_USERS\.DEFAULT\Software\Adobe\Acrobat Reader\10.0\AdobeViewer"
reg query "HKEY_USERS\S-1-5-20\Software\Adobe\Acrobat Reader\10.0\AdobeViewer"
reg query "HKEY_LOCAL_MACHINE\software\adobe\acrobat reader\10.0\adobeviewer"
reg query "HKU\S-1-5-20\software\adobe\commonfiles\usage\reader 10"
reg query "HKEY_USERS\S-1-5-20\Software\Adobe\CommonFiles\Usage\Adobe Application Manager"
reg query "HKU\S-1-5-20\software\adobe\acrobat reader\10.0\avgeneral"
reg query "HKEY_USERS\S-1-5-20\Software\Adobe\Acrobat Reader\10.0\Privileged"
REM reg query "HKU\S-1-5-20\SOFTWARE\Adobe\Acrobat Reader\10.0\Originals"
ECHO =======================
echo Check for Java version
java -version
ECHO =======================
echo Check for Task Job
schtasks /query /TN FDAMedGuidePrinterTask
ECHO =======================

PAUSE
